/* Interface for OpenPanel class
 *
 * Copyright (C)  1993, 1994  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Scott Francis,  Paul Kunz, Imran Qureshi, and Libing Wang
 *
 * This file is part of an Objective-C class library a window system
 *
 * OpenPanel.h,v 1.16 1994/06/15 18:58:22 pfkeb Exp
 */

#ifndef _OpenPanel_h_
#define _OpenPanel_h_

#include "SavePanel.h"


@interface OpenPanel:SavePanel
{
    char        **filterTypes;
    BOOL        _allowMultipleFiles;
}

// + setOpenPanelFactory:factoryId;

+ new;
// + newContent:(const NXRect *)contentRect style:(int)aStyle 
//      backing:(int)bufferingType     buttonMask:(int)mask defer:(BOOL)flag;
// - free;

- allowMultipleFiles:(BOOL)flag;

// - chooseDirectories:(BOOL)flag;
// - (const char *const *)filenames;
- (int)runModalForDirectory:(const char *)path file:(const char *)name 
                      types:(const char *const *)fileTypes;
- (int)runModalForTypes:(const char *const *)fileTypes;
- (int)runModalForDirectory:(const char *)path file:(const char *)name;

/* methods not in NextStep */

- init;

@end

#endif /* _OpenPanel_h_ */
